/*****************************************************************************
* Copyright (c) 1990-98 Digi International Inc., All Rights Reserved
* 
* This software contains proprietary and confidential information of Digi
* International Inc.  By accepting transfer of this copy, Recipient agrees
* to retain this software in confidence, to prevent disclosure to others,
* and to make no use of this software other than that for which it was
* delivered.  This is an unpublished copyrighted work of Digi International
* Inc.  Except as permitted by federal law, 17 USC 117, copying is strictly
* prohibited.
* 
* Restricted Rights Legend
*
* Use, duplication, or disclosure by the Government is subject to
* restrictions set forth in sub-paragraph (c)(1)(ii) of The Rights in
* Technical Data and Computer Software clause at DFARS 252.227-7031 or
* subparagraphs (c)(1) and (2) of the Commercial Computer Software -
* Restricted Rights at 48 CFR 52.227-19, as applicable.
*
* Digi International Inc. 11001 Bren Road East, Minnetonka, MN 55343
*
*****************************************************************************/
// LineClyde.h: interface for the CLineClyde class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LINECLYDE_H__D940D373_167D_11D2_84FC_0040052F0B6E__INCLUDED_)
#define AFX_LINECLYDE_H__D940D373_167D_11D2_84FC_0040052F0B6E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "LineWan.h"
#include "WizPageComboBox.h"

class CLineClyde : public CLineWan  
{
	DECLARE_DYNAMIC(CLineClyde)
public:
	CLineClyde(HKEY const hKeyRoot, CString const strRegPath, CConfigObject const * const pParent);
	virtual ~CLineClyde();
    virtual BOOL AddChild(void);

    virtual BOOL SetParameters(void);
    virtual BOOL CopyParameters(CConfigObject const * const pFrom);

    virtual BOOL AddWizardPages(CConfigWizSheet * const pSheet);
    virtual BOOL RemoveWizardPages(CConfigWizSheet * const pSheet);
    virtual BOOL NextWizardPage(int const nState);

    virtual CString GetInformationText(void);
    virtual BOOL DoProperties(void);

private:
    BOOL GetParameters(void);
    BOOL GetConfigData(void);
	void BuildProtocolsList(CStringArray& astrNames,int& selection);
	BOOL UsingWAN();
   //
   // Wizard stuff
   CConfigWizSheet * m_pwsSheet;

   enum
   {
      WP_PROTOCOL,
      WP_COUNT
   };

   CWizPageComboBox * m_pwpProtocol;
   BOOL HandleWizProtocol(void);


};

#endif // !defined(AFX_LINECLYDE_H__D940D373_167D_11D2_84FC_0040052F0B6E__INCLUDED_)
